Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044813
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajorhave not tried2020-08-13 15:582020-09-09 13:30
ReportershuehnerView Statuspublic 
Assigned Toinigo_lerga 
PrioritynormalResolutionfixedFixed in VersionPR20Q4
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044813: SL_CreateLines_Conversion_UOM callout is old-style callout (not SimpleCallout) but also used in manual HTML code

DescriptionThis file was not yet refactored to be a SimpleCallout as it is also used as a Servlet directly from manual HTML code:

Issue 44795 tries to get rid of all callouts registered in ad_callout which are still a Servlet.

Registered as ad_callout here:
./src-db/database/sourcedata/AD_CALLOUT.xml:<!--775917C69E0A45FFB22AEDD232C9D464--> <NAME><![CDATA[SL_CreateLines_Conversion_UOM]]></NAME>

Used manually in this file:
./src/org/openbravo/erpCommon/ad_actionButton/CreateFrom_ShipmentPO.html: submitCommandFormParameter('DEFAULT', frmMain.inpOrderlineId, varId, false, null, '..>


Checking usage in PI + all modules does not show not any reference to ad_callout _id = 775917C69E0A45FFB22AEDD232C9D464.

So when that is verified easy 'fix' would be to change this file to be just a manual servlet (ad_model_object) and remove the ad_callout entry
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0044812 closedinigo_lerga SL_MInOutTraceReports callout is old-style callout (not SimpleCallout) but also used in manual HTML code 
blocks design defect 0044795 newTriage Finance Tracking issue to refactor remaining old callouts to extend SimpleCallout 

-  Notes
(0122721)
inigo_lerga (developer)
2020-09-07 09:19

After deleting the AD_CALLOUT entry for this class, there is still an AD_MODEL_OBJECT entry linked to it, which allows Tomcat to be able to make
the Ajax call to the servlet.
(0122735)
hgbot (developer)
2020-09-07 11:29

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/147 [^]
(0122875)
hgbot (developer)
2020-09-09 13:27

Merge Request created: https://gitlab.com/openbravo/ci/backoffice-api/-/merge_requests/3 [^]
(0122876)
hgbot (developer)
2020-09-09 13:29

Merge request merged: https://gitlab.com/openbravo/ci/backoffice-api/-/merge_requests/3 [^]
(0122877)
hgbot (developer)
2020-09-09 13:29

Repository: https://gitlab.com/openbravo/ci/backoffice-api [^]
Changeset: b12fc34c1f6ff39704bf6a854fd0ccc6671da351
Author: inigo_lerga <inigo.lerga@openbravo.com>
Date: 2020-09-09T13:23:49+02:00
URL: https://gitlab.com/openbravo/ci/backoffice-api/-/commit/b12fc34c1f6ff39704bf6a854fd0ccc6671da351 [^]

Related to ISSUE-44813: Removed Callout code and its references in DB

---
M java/reference/java.japi.gz
M model/src-db/database/sourcedata/AD_CALLOUT.xml
M model/src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M model/src-db/database/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
---
(0122878)
hgbot (developer)
2020-09-09 13:30

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: b3a6bfe70ce396f443e1067db6616ec5029c7be3
Author: inigo_lerga <inigo.lerga@openbravo.com>
Date: 2020-09-09T11:29:29+00:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/b3a6bfe70ce396f443e1067db6616ec5029c7be3 [^]

fixes BUG-44813:Removed SL_CreateLines_Conversion_UOM callout entry

---
M src-db/database/sourcedata/AD_CALLOUT.xml
---
(0122879)
hgbot (developer)
2020-09-09 13:30

Merge request merged: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/147 [^]
(0122880)
hgbot (developer)
2020-09-09 13:30

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: 5a6c548523247ef1f9a04adf13812bee7ef4a212
Author: inigo_lerga <inigo.lerga@openbravo.com>
Date: 2020-09-09T11:29:29+00:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/5a6c548523247ef1f9a04adf13812bee7ef4a212 [^]

fixes BUG-44813:Removed SL_CreateLines_Conversion_UOM

As it is no longer in use, this Servlet is getting removed
and every reference to it.

---
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
M src/org/openbravo/erpCommon/ad_actionButton/CreateFrom_ShipmentPO.html
R src/org/openbravo/erpCommon/ad_callouts/SL_CreateLines_Conversion_UOM.java
---

- Issue History
Date Modified Username Field Change
2020-08-13 15:58 shuehner New Issue
2020-08-13 15:58 shuehner Assigned To => Triage Finance
2020-08-13 15:58 shuehner Modules => Core
2020-08-13 15:58 shuehner Triggers an Emergency Pack => No
2020-08-13 15:58 shuehner Issue generated from 0044812
2020-08-13 15:58 shuehner Relationship added related to 0044812
2020-08-13 15:58 shuehner Relationship added blocks 0044795
2020-08-14 12:49 dmiguelez Assigned To Triage Finance => inigo_lerga
2020-09-03 13:03 inigo_lerga Status new => scheduled
2020-09-04 10:22 hgbot Note Added: 0122674
2020-09-07 09:19 inigo_lerga Note Added: 0122721
2020-09-07 11:20 hgbot Note Added: 0122734
2020-09-07 11:29 hgbot Note Added: 0122735
2020-09-07 11:30 inigo_lerga Note Deleted: 0122734
2020-09-07 11:30 inigo_lerga Note Deleted: 0122674
2020-09-09 13:27 hgbot Note Added: 0122875
2020-09-09 13:29 hgbot Note Added: 0122876
2020-09-09 13:29 hgbot Note Added: 0122877
2020-09-09 13:30 hgbot Resolution open => fixed
2020-09-09 13:30 hgbot Status scheduled => closed
2020-09-09 13:30 hgbot Fixed in Version => PR20Q4
2020-09-09 13:30 hgbot Note Added: 0122878
2020-09-09 13:30 hgbot Note Added: 0122879
2020-09-09 13:30 hgbot Note Added: 0122880


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker